OpenMX installation on R version 3.1.0 Mac

6 replies [Last post]
CarolKan's picture
Offline
Joined: 04/17/2014

Dear all

I am a new user to OpenMX and cannot download it onto the new version of R (see error message below) and I do not know how to download the older version of R (ie. 3.0) onto my Mac.

Any help will be much appreciated,
Carol

> source('http://openmx.psyc.virginia.edu/getOpenMx.R')
Warning: unable to access index for repository http://openmx.psyc.virginia.edu/sequential/bin/macosx/contrib/3.1

package ‘OpenMx’ is available as a source package but not as a binary

Warning message:
package ‘OpenMx’ is not available (for R version 3.1.0)

tbates's picture
Offline
Joined: 07/31/2009
OpenMx is available for R 3.1

Openmx is now running with the current version of R.
All you need is:

source('http://openmx.psyc.virginia.edu/getOpenMx.R')
require(OpenMx)

mhunter's picture
Offline
Joined: 07/31/2009
Downgrade R

Hi Carol,

OpenMx is not currently built for R 3.1.0. To use OpenMx I think you'll have to use R 3.0.

If you go to the CRAN webpage (http://cran.us.r-project.org/), click "Download R for (Mac) OS X". Toward the bottom you'll see "old", underneath "tools", "contrib", "mavericks", etc.. Click "old". Scroll down to "R-3.0.3.pkg". Click that to download it, then install it. Sorry for the inconvenience. We will be working to get OpenMx released for the new version of R soon.

CarolKan's picture
Offline
Joined: 04/17/2014
Still cannot open OpenMX

Thank you for helping me.

I downloaded R 3.0.3 and managed to downloaded OpenMX

> source('http://openmx.psyc.virginia.edu/getOpenMx.R')
trying URL 'http://openmx.psyc.virginia.edu/sequential/bin/macosx/contrib/3.0/OpenMx_1.4-3059.tgz'
Content type 'application/x-gzip' length 3952270 bytes (3.8 Mb)
opened URL
==================================================
downloaded 3.8 Mb

The downloaded binary packages are in
/var/folders/_g/jw6g8l8j4wx6t49fdlmgvt_40000gn/T//RtmpAXc9ob/downloaded_packages

But:
> install.packages("OpenMX")
--- Please select a CRAN mirror for use in this session ---
Warning message:
package ‘OpenMX’ is not available (for R version 3.0.3)

and
> require(OpenMX)
Loading required package: OpenMX
Warning message:
In library(package, lib.loc = lib.loc, character.only = TRUE, logical.return = TRUE, :
there is no package called ‘OpenMX’

I am probably still doing something wrong. Sorry.

Kind regards
Carol

tbates's picture
Offline
Joined: 07/31/2009
don't install.packages()

all you need is

source('http://openmx.psyc.virginia.edu/getOpenMx.R')

after that
require(OpenMx)

should work fine. Make sure it's a lower case x: OpenMx, not OpenMX.

CarolKan's picture
Offline
Joined: 04/17/2014
Thank you.

I think I just got confused with it - thank you for clarifying it.

Kind regards
Carol

RobK's picture
Offline
Joined: 04/19/2011
Re-install OpenMx

Carol, you should probably re-install OpenMx, and then re-run your analyses. See here for details.